package cn.i2edu.dubbing_lib.audioUtils;


public abstract class AudioEncoder {

    final String rawAudioFile;

    AudioEncoder(String rawAudioFile) {
        this.rawAudioFile = rawAudioFile;
    }

    public static AudioEncoder createAccEncoder(String rawAudioFile) {
        return new AACAudioEncoder(rawAudioFile);
    }

    public abstract String encodeToFile(String outEncodeFile);
}
